#
# spec file for package suse-migration-rpm
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           suse-migration-rpm
Version:        1.0.1
Release:        1.9.1
Summary:        Migration enablement package
License:        GPL-3.0-or-later
Group:          System/Management
Url:            https://github.com/SUSE/suse-migration-services
Source:         %{name}.tar.gz
BuildRequires:  filesystem
Requires:       suse-migration-services
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
OBS kiwi_post_run hook to wrap the kiwi-produced Migration live
ISO image in an rpm package.

%prep
%setup -q -n %{name}

%build

%install
mkdir -p %{buildroot}/usr/lib/build/
install -m 644 image.spec.in %{buildroot}/usr/lib/build/
install -m 755 kiwi_post_run %{buildroot}/usr/lib/build/

%files
%defattr(-,root,root)
/usr/lib/build/kiwi_post_run
/usr/lib/build/image.spec.in

%changelog
* Thu Nov 14 2019 ms@suse.com
- Reference commit for SUSE maintenance
  This submission creates a reference to bsc#1155192
* Mon Nov 11 2019 ms@suse.com
- Add product version requirement to spec file
  For further details see: https://github.com/SUSE/suse-migration-services/pull/143
* Tue Aug 20 2019 jesusbv@suse.com
- Reference commit for SUSE maintenance
  Fix BYOS upgrade from 12SP4-SAP to 15 (BSC#1142108)
* Wed Aug 14 2019 jesusbv@suse.com
- This submission creates a reference to bsc#1142108
* Wed Jul 17 2019 ms@suse.com
- Install run_migration from suse-migration-services package
  that is now a build requirement. For details see:
  https://github.com/SUSE/suse-migration-services/issues/108
* Thu May  2 2019 ms@suse.com
- Reference commit for SUSE maintenance
  This submission creates a reference to fate#327175 and bsc#1133919
* Mon Mar  4 2019 ms@suse.com
- Install SLES15-Migration live image to /usr/share/migration-image
  See https://github.com/SUSE/suse-migration-services/issues/54
  for details
* Fri Jan 25 2019 ms@suse.com
- Install SLES15-Migration live image to /boot
* Wed Nov 14 2018 ms@suse.com
- Post Processing package for SLES15-Migration live image.
  This package provides metadata used at the end of an
  appliance build to package the image results into a
  package
